summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-emulation/vmware-player')
-rw-r--r--app-emulation/vmware-player/Manifest2
-rw-r--r--app-emulation/vmware-player/vmware-player-4.0.4.744019-r1.ebuild238
2 files changed, 240 insertions, 0 deletions
diff --git a/app-emulation/vmware-player/Manifest b/app-emulation/vmware-player/Manifest
index fbdb4f7..9360254 100644
--- a/app-emulation/vmware-player/Manifest
+++ b/app-emulation/vmware-player/Manifest
@@ -1,4 +1,6 @@
DIST VMware-Player-3.1.6-744570.i386.bundle 107116126 SHA256 e612fd4dbe45e14426f8fe72cc5eb88325001952f740b560fdd330e529be0272 SHA512 1399a40a3d357805ad585b60ab60cac2b4cd85bd9c78fe397a7bc313759c904e9d071732108128587612bcac43f311a1de80fdbc1817055e20e6c73b6a7e5149 WHIRLPOOL 297182b1a13e9c44796ad869cbf696cbc5d38b73866cf42283504a2175f7ac1e928c7c430d4f713b24b9a8c050d52f6f5171aa7c9448fa3d7721e5427e1a0dd2
DIST VMware-Player-3.1.6-744570.x86_64.bundle 103054014 SHA256 ebf74c876bcce6a06c16dceab6116ab9daab057b8276ee337bf54a9f59cce79d SHA512 023e0ed0f5c4e695b738beb4df6286fce9572485c40acfaaf46e4ffbf49b574ac048f297b219dbea7fafa119dcdc700809cb0943309c328d34d92c30f96d8332 WHIRLPOOL e40a5353a2841aa50687e092aee424aa9d77cf7df32acfc2e66c11b6ff04adce5441b123dacedc68896ab7d7c744f69ca834020344425ea9edb77888e81cc560
DIST VMware-Player-4.0.4-744019.i386.bundle 131985156 SHA256 2fcf6e6440549b7a53cde12a62deb52e33a2687d4a0f5e099650a348b6a35a0b SHA512 ca5a1e0567f014d8a15a87f2a58a4026f0a2249012e124ce892da408375475f89cc9f0985e200ea6fb3e5ab7dd9482f4e8bfe14061f8c655b4ccea9ae1ecc761 WHIRLPOOL 79f11145c344bf276e1cf69869d136f48fb85532d0e5b1d930049968315c09bd65d0b016534762602e535def1f45b8d1530d74c3cdb94f1e4a5347884bf6e522
+DIST VMware-Player-4.0.4-744019.i386.bundle.tar 131993600 SHA256 d06881c512a11fbc76f1c23d7a6c9d7bd3888c613b1678719fa77ed76243d678 SHA512 c1d763374a5d54759cd791669e846479e3ef009dd3d13f16192ca6fdb8727081b5ec510c0b2bf4a311e3e8f3ad905512c0b33be2c70e33e9b4f7037b8349e560 WHIRLPOOL e21bfdf308ee905d8bc6aefb7097b9e30c546186fa7e8750d556a4d3cb144648da36aae2622e54159918cfb5ddab848ee64f225148a0bfb6111264ce763ab067
DIST VMware-Player-4.0.4-744019.x86_64.bundle 129698390 SHA256 572fa4cb07894c58e0795ef78ca2cfabb1acb02771c303910f3731137bfb22a9 SHA512 228d9f9f8e04e7d58a11a210f9b8268c25b228ac0c1399e3cfea0e9e48e3f1d93e46a4477a051457cc92814713da320cb26ebf8d9868d2d4909637eed10d0acb WHIRLPOOL 1305a9f144741c508b84799d809b7690b3126c08e5c1bb875d81670f89fb10fe3521fbe49951f4b9c4265cddcb583409d7d43dfa7b62f456b7b8cd91a8490fd9
+DIST VMware-Player-4.0.4-744019.x86_64.bundle.tar 129710080 SHA256 8584e18a4cbed8ce19bd239f8e1cbc2cccd17e2d016faba93fd685a160dade21 SHA512 ba3894fc942e67940d4c2f98f567ee46786a77dc21615ced01314b6dca9919469924bf4c96fdf08ab2443365de03f6a652ca595b6cbb13990ca3671282d01679 WHIRLPOOL ed123a9b22eb1d4fd03afa3b854f3e7d1f12400da75882892f561de3f44860ec67a18a779510ec70715534c03aa21c858721dd92be66a2384152d6a964728ce9
diff --git a/app-emulation/vmware-player/vmware-player-4.0.4.744019-r1.ebuild b/app-emulation/vmware-player/vmware-player-4.0.4.744019-r1.ebuild
new file mode 100644
index 0000000..35ab7a4
--- /dev/null
+++ b/app-emulation/vmware-player/vmware-player-4.0.4.744019-r1.ebuild
@@ -0,0 +1,238 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-player/vmware-player-4.0.2.591240.ebuild,v 1.1 2012/03/10 14:19:47 vadimk Exp $
+
+EAPI="4"
+
+inherit eutils versionator fdo-mime gnome2-utils pax-utils vmware-bundle
+
+MY_PN="VMware-Player"
+MY_PV=$(get_version_component_range 1-3)
+PV_MINOR=$(get_version_component_range 3)
+PV_BUILD=$(get_version_component_range 4)
+MY_P="${MY_PN}-${MY_PV}-${PV_BUILD}"
+
+DESCRIPTION="Emulate a complete PC on your PC without the usual performance overhead of most emulators"
+HOMEPAGE="http://www.vmware.com/products/player/"
+BASE_URI="https://softwareupdate.vmware.com/cds/vmw-desktop/player/${MY_PV}/${PV_BUILD}/linux/core/"
+SRC_URI="
+ x86? ( ${BASE_URI}${MY_P}.i386.bundle.tar )
+ amd64? ( ${BASE_URI}${MY_P}.x86_64.bundle.tar )
+ "
+
+LICENSE="vmware"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="cups doc +vmware-tools"
+RESTRICT="binchecks strip"
+
+# vmware-workstation should not use virtual/libc as this is a
+# precompiled binary package thats linked to glibc.
+RDEPEND="dev-cpp/cairomm
+ dev-cpp/glibmm:2
+ dev-cpp/gtkmm:2.4
+ dev-cpp/libgnomecanvasmm:2.6
+ dev-cpp/libsexymm
+ dev-cpp/pangomm:1.4
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/libaio
+ dev-libs/libsigc++
+ dev-libs/libxml2
+ =dev-libs/openssl-0.9.8*
+ dev-libs/xmlrpc-c
+ gnome-base/libgnomecanvas
+ gnome-base/libgtop:2
+ gnome-base/librsvg:2
+ gnome-base/orbit
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libart_lgpl
+ =media-libs/libpng-1.2*
+ net-misc/curl
+ cups? ( net-print/cups )
+ sys-devel/gcc
+ sys-fs/fuse
+ sys-libs/glibc
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gtk+:2
+ x11-libs/libgksu
+ x11-libs/libICE
+ x11-libs/libsexy
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXft
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango
+ x11-libs/startup-notification
+ !app-emulation/vmware-workstation"
+PDEPEND="~app-emulation/vmware-modules-264.${PV_MINOR}
+ vmware-tools? ( app-emulation/vmware-tools )"
+
+S=${WORKDIR}
+VM_INSTALL_DIR="/opt/vmware"
+
+src_unpack() {
+ default
+ local bundle=${A%.tar}
+
+ local component ; for component in \
+ vmware-player \
+ vmware-player-app \
+ vmware-vmx \
+ vmware-usbarbitrator \
+ vmware-network-editor \
+ vmware-player-setup
+ #vmware-ovftool
+ do
+ vmware-bundle_extract-bundle-component "${bundle}" "${component}" "${S}"
+ done
+}
+
+src_prepare() {
+ rm -f bin/vmware-modconfig
+ rm -rf lib/modules/binary
+}
+
+clean_bundled_libs() {
+ ebegin 'Removing superfluous libraries'
+ # exclude OpenSSL from unbundling until the AES-NI patch gets into the tree
+ # see http://forums.gentoo.org/viewtopic-t-835867.html
+ # must use shipped libgcr.so.0 or else "undefined symbol: gcr_certificate_widget_new"
+ ldconfig -p | sed 's:^\s\+\([^(]*[^( ]\).*=> \(/.*\)$:\1 \2:g;t;d' | fgrep -v 'libcrypto.so.0.9.8
+libssl.so.0.9.8
+libgcr.so.0' | while read -r libname libpath ; do
+ dosym "${libpath}" "${VM_INSTALL_DIR}/lib/vmware/lib/${libname}/${libname}"
+ done
+ eend
+}
+
+src_install() {
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/* || die "failed to install bin"
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/*
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share
+
+ if use cups; then
+ exeinto $(cups-config --serverbin)/filter
+ doexe extras/thnucups
+
+ insinto /etc/cups
+ doins -r etc/cups/*
+ fi
+
+ # install documentation
+ if use doc; then
+ dodoc doc/*
+ fi
+
+ exeinto "${VM_INSTALL_DIR}"/lib/vmware/setup
+ doexe vmware-config
+
+ # create symlinks for the various tools
+ local tool ; for tool in thnuclnt vmplayer{,-daemon} \
+ vmware-{acetool,unity-helper,modconfig{,-console},gksu,fuseUI} ; do
+ dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
+ done
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
+
+ # fix permissions
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/{appLoader,fusermount,launcher.sh,mkisofs,vmware-remotemks}
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/{wrapper-gtk24.sh,libgksu2.so.0/gksu-run-helper}
+ fperms 4711 "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx{,-debug,-stats}
+
+ pax-mark -m "${D}${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx
+
+ # create the environment
+ local envd="${T}/90vmware"
+ cat > "${envd}" <<-EOF
+ PATH='${VM_INSTALL_DIR}/bin'
+ ROOTPATH='${VM_INSTALL_DIR}/bin'
+ EOF
+ doenvd "${envd}" || die
+
+ # create the configuration
+ dodir /etc/vmware || die
+
+ cat > "${D}"/etc/vmware/bootstrap <<-EOF
+ BINDIR='${VM_INSTALL_DIR}/bin'
+ LIBDIR='${VM_INSTALL_DIR}/lib'
+ EOF
+
+ cat > "${D}"/etc/vmware/config <<-EOF
+ bindir = "${VM_INSTALL_DIR}/bin"
+ libdir = "${VM_INSTALL_DIR}/lib/vmware"
+ initscriptdir = "/etc/init.d"
+ authd.fullpath = "${VM_INSTALL_DIR}/sbin/vmware-authd"
+ gksu.rootMethod = "su"
+ VMCI_CONFED = "yes"
+ VMBLOCK_CONFED = "yes"
+ VSOCK_CONFED = "yes"
+ NETWORKING = "yes"
+ player.product.version = "${MY_PV}"
+ product.buildNumber = "${PV_BUILD}"
+ EOF
+
+ # install the init.d script
+ local initscript="${T}/vmware.rc"
+
+ sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ "${FILESDIR}/vmware-3.0.rc" > "${initscript}" || die
+ newinitd "${initscript}" vmware || die
+
+ # fill in variable placeholders
+ sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
+ -i "${D}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/{gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules},pango/pango{.modules,rc}} || die
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmplayer:g" \
+ -i "${D}/usr/share/applications/${PN}.desktop" || die
+}
+
+pkg_config() {
+ "${VM_INSTALL_DIR}"/bin/vmware-networks --postinstall ${PN},old,new
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+
+ ewarn "/etc/env.d was updated. Please run:"
+ ewarn "env-update && source /etc/profile"
+ ewarn ""
+ ewarn "Before you can use vmware-player, you must configure a default network setup."
+ ewarn "You can do this by running 'emerge --config ${PN}'."
+}
+
+pkg_prerm() {
+ einfo "Stopping ${PN} for safe unmerge"
+ /etc/init.d/vmware stop
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}